# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\00001gbdseq\tmp\build\80754af9\rsync-recipes\libprotobuf-3.11.4-on-winbuilder, last modified Mon Feb 17 07:01:56 2020
# ------------------------------------------------

package:
    name: libprotobuf
    version: 3.11.4
source:
    -   patches: null
        sha256: a79d19dcdf9139fa4b81206e318e33d245c4c9da1ffed21c87288ed4380426f9
        url: https://github.com/google/protobuf/archive/v3.11.4/libprotobuf-v3.11.4.tar.gz
    -   folder: third_party/benchmark
        sha256: 5dc92703f811f94e2aa63bdab07ab749f28a094befa6cdfd5fe177f947590a48
        url: https://github.com/google/benchmark/archive/5b7683f49e1e9223cf9927b24f6fd3d6bd82e3f8.tar.gz
    -   folder: third_party/googletest
        sha256: 0e2f36e8e403c125fd0ab02171bdb786d3b6b3875b6ccf3b2eb7969be8faecd0
        url: https://github.com/google/googletest/archive/5ec7f0c4a113e2f18ac2c6cc7df51ad6afc24081.tar.gz
build:
    number: '0'
    run_exports:
        - libprotobuf >=3.11.4,<3.12.0a0
    string: h7bd577a_0
requirements:
    build:
        - ca-certificates 2020.1.1 0
        - cmake 3.14.0 h33f27b4_0
        - ninja 1.9.0 py38h74a9793_0
        - openssl 1.1.1d he774522_4
        - python 3.8.1 h5fd99cc_1
        - sqlite 3.31.1 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_1
        - vs2017_win-64 19.16.27032.1 hb8d98e7_1
        - vswhere 2.7.1 h21ff451_0
    host:
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_1
        - zlib 1.2.11 h62dcd97_3
    run:
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - protoc --help
        - if not exist %PREFIX%\\Library\\lib\\libprotoc.lib exit 1
        - if not exist %PREFIX%\\Library\\lib\\libprotobuf.lib exit 1
        - if not exist %PREFIX%\\Library\\lib\\libprotobuf-lite.lib exit 1
about:
    description: 'Protocol buffers are Google''s language-neutral,

        platform-neutral, extensible mechanism for serializing structured data-

        think XML, but smaller, faster, and simpler.

        '
    doc_source_url: https://github.com/google/protobuf/releases
    doc_url: https://developers.google.com/protocol-buffers/
    home: https://developers.google.com/protocol-buffers/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: Protocol Buffers - Google's data interchange format. C++ Libraries
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - dopplershift
        - hajapy
        - jakirkham
        - jjhelmus
        - ocefpaf
        - wesm
        - xhochy
